<script lang="ts">
    import { Button } from "attractions";
	import { goto } from "$app/navigation";
	import { user } from "../lib/stores";
</script>

<header class="shadow shadow-sky-900">
	<div class="header-content">
		<div class="logo">
			<a href={$user?.authenticated ? "/dashboard" : "/login"}>Guld</a>
		</div>
		<nav class="menu">
			{#if $user?.authenticated}
				{$user?.firstname} {$user?.lastname}
				<Button outline on:click={() => goto("/logout")}>Kijelentkezés</Button>
			{:else}
				<Button outline on:click={() => goto("/login")}>Bejelentkezés</Button>
				<Button outline on:click={() => goto("/register")}>Regisztráció</Button>
			{/if}
		</nav>
	</div>
</header>

<style lang="scss">
	@use 'theme.scss';
	header {
		width: 100%;
		height: 72px;
		display: flex;
		justify-content: center;
		box-shadow: 0px 1px 1px theme.$main;
	}
	.header-content {
		width: 80%;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}
	.logo {
		font-size: x-large;
	}
	.menu {
		display: flex;
		align-items: center;
		column-gap: 24px;
	}
</style>